<?php

require(dirname(__FILE__) . '/SSI.php');

?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
	<head>
		<title>&lt;&lt; : : XSSI 1.0 - xssi.php Functions : : &gt;&gt;</title><?php

	echo '
		<meta http-equiv="Content-Type" content="text/html; charset=', $context['character_set'], '" />
		<link rel="stylesheet" type="text/css" href="', $settings['default_theme_url'], '/style.css" />
		<script language="JavaScript" type="text/javascript" src="', $settings['default_theme_url'], '/script.js"></script>
		<style type="text/css">
			body
			{
				margin: 1ex;
			}';

	if ($context['browser']['needs_size_fix'])
		echo '
			@import(', $settings['default_theme_url'], '/fonts-compat.css);';

	echo '
		</style>';

?>
	    <style type="text/css">
<!--
.class1 {
	font-size: small;
	color: #003366;
}
-->
        </style>
</head>
	<body>
			<h1>XSSI 1.0 -  xssi.php Functions<br />
			  <span class="class1">Written by Don Bauer - Licensed under GPL </span></h1>
			Current Version: 1.0<br />
			<br />
			This file is used to demonstrate the capabilities of xssi.php using XML called functions.<br />
			The examples show the way xssi.php is called, then the results of it. Examples are separated by horizontal rules.<br />

		<hr />

		<p>Version 1.0 does not support ANY of the poll functions from SSI.php!</p>
			<hr />
			<p> 
			  To use xssi.php for your application, call it like so: http://www.yourwebsite.com/forums/xssi.php?a=functionName{&amp;optionA=123&amp;optionB=456}<br />
			  See the examples below:</p>
			<hr />

			<h3>Recent Topics Function: xssi.php?a=recentTopics<br />
			  <span class="class1">Parameters: num_recent, exclude_boards </span></h3>
			<iframe width="700" height="250" src="xssi.php?a=recentTopics">Please enable iFrames</iframe>
			<hr />

			<h3>Recent Posts Function: xssi.php?a=recentPosts<br />
    <span class="class1">Parameters: num_recent, exclude_boards</span></h3>
			<iframe width="700" height="250" src="xssi.php?a=recentPosts">Please enable iFrames</iframe>
			<hr />
			<hr />

			<h3>Top Boards Function: xssi.php?a=topBoards<br />
			  <span class="class1">Parameters: num_top</span></h3>
			<iframe width="700" height="250" src="xssi.php?a=topBoards">Please enable iFrames</iframe>
			<hr />

			<h3>Top Topics by Views Function: xssi.php?a=topTopicsViews<br />
			  <span class="class1">Parameters: num_topics</span></h3>
			<iframe width="700" height="250" src="xssi.php?a=topTopicsViews">Please enable iFrames</iframe>
			<hr />

			<h3>Top Topics by Replies Function: xssi.php?a=topTopicsReplies<br />
			  <span class="class1">Parameters: num_topics</span></h3>
			<iframe width="700" height="250" src="xssi.php?a=topTopicsReplies">Please enable iFrames</iframe>

		<hr />
		<hr />

			<h3>Top Poster Function: xssi.php?a=topPoster<br />
    <span class="class1">Parameters: topNumber </span></h3>
			<iframe width="700" height="250" src="xssi.php?a=topPoster">Please enable iFrames</iframe>
			<hr />
			<hr />

			<h3>Latest Member Function: xssi.php?a=latestMember</h3>
			<iframe width="700" height="250" src="xssi.php?a=latestMember">Please enable iFrames</iframe>
			<hr />

			<h3>Board Stats: xssi.php?a=boardStats</h3>
			<iframe width="700" height="250" src="xssi.php?a=boardStats">Please enable iFrames</iframe>
			<hr />

			<h3>Who's Online Function: xssi.php?a=whosOnline</h3>
			<iframe width="700" height="250" src="xssi.php?a=whosOnline">Please enable iFrames</iframe>
			<hr />

			<h3>Log Online Presence + Who's Online Function: xssi.php?a=logOnline</h3>
			<iframe width="700" height="250" src="xssi.php?a=logOnline">Please enable iFrames</iframe>
			<hr />

			<h3>Welcome Function: xssi.php?a=welcome</h3>
			<iframe width="700" height="250" src="xssi.php?a=welcome">Please enable iFrames</iframe>
			<hr />

			<h3>News Function: xssi.php?a=news</h3>
			<iframe width="700" height="250" src="xssi.php?a=news">Please enable iFrames</iframe>
			<hr />

			<h3>Board News Function: xssi.php?a=boardNews<br />
			  <span class="class1">Parameters: board, limit, start, length </span></h3>
			<iframe width="700" height="250" src="xssi.php?a=boardNews">Please enable iFrames</iframe>
			<hr />
			<hr />

			<h3>Quick Search Function: xssi.php?a=quickSearch</h3>
			<iframe width="700" height="250" src="xssi.php?a=quickSearch">Please enable iFrames</iframe>
			<hr />

			<h3>Login Function: xssi.php?a=login<br />
			  <span class="class1">Parameters: r </span></h3>
			<iframe width="700" height="250" src="xssi.php?a=login">Please enable iFrames</iframe>
			<hr />

			<h3>Log Out Function: xssi.php?a=logout<br />
			  <span class="class1">Parameters: r </span></h3>
			<iframe width="700" height="250" src="xssi.php?a=logout">Please enable iFrames</iframe>
			<hr />

			<h3>Today's Birthdays Function: xssi.php?a=todaysBirthdays</h3>
			<iframe width="700" height="250" src="xssi.php?a=todaysBirthdays">Please enable iFrames</iframe>
			<hr />

			<h3>Today's Holidays Function: xssi.php?a=todaysHolidays</h3>
			<iframe width="700" height="250" src="xssi.php?a=todaysHolidays">Please enable iFrames</iframe>
			<hr />

			<h3>Today's Events Function: xssi.php?a=todaysEvents</h3>
			<iframe width="700" height="250" src="xssi.php?a=todaysEvents">Please enable iFrames</iframe>

		<hr />

			<h3>Today's Calendar Function: xssi.php?a=todaysCalendar</h3>
			<iframe width="700" height="250" src="xssi.php?a=todaysCalendar">Please enable iFrames</iframe>

		<hr />

			<h3>Recent Calendar Events Function: xssi.php?a=recentEvents<br />
			  <span class="class1">Parameters: max_events </span></h3>
			<iframe width="700" height="250" src="xssi.php?a=recentEvents">Please enable iFrames</iframe>

		<hr />

			<h3>Some notes on usage</h3>
			You'll see the parameters listed for some of the functions.  Those are all the options you have to get specific output.
			If you need more help with XSSI, visit http://www.bauerbox.com/xmlsmf.php to view the extended documentation.
			<hr />

		<br />
		<br />
		<span style="color: #CCCCCC; font-size: smaller;">
			<?php
				echo 'This page took ', round(array_sum(explode(' ', microtime())) - array_sum(explode(' ', $time_start)), 4), ' seconds to load.<br />';
			?>
			*xssi_examples.php last modified on <?php echo date('m/j/y', filemtime(__FILE__)); ?>
		</span>
	</body>
</html>